Skip to main content
GET
Get Network Throughput

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_time
string<date-time>

The start of the time window in ISO 8601 format (YYYY-MM-DDTHH:MM:SS). Defaults to 4 hours ago.

Example:

"2025-10-29T08:00:00"

end_time
string<date-time>

The end of the time window in ISO 8601 format (YYYY-MM-DDTHH:MM:SS). Defaults to the current time.

Example:

"2025-10-29T12:00:00"

bucket_interval_minutes
integer
default:5

The time interval in minutes for aggregating data points.

Example:

15

site_ids[]
string<uuid>[]

An array of Site UUIDs to filter the results. If omitted, data from all accessible sites will be aggregated.

Response

A list of throughput data points aggregated into time buckets.

time_slot
string<date-time>

The start time of the aggregation bucket.

Example:

"2025-10-29 10:00:00"

average_in_bps
number<float>

The average inbound throughput in bits per second for this time slot.

Example:

12500000.5

average_out_bps
number<float>

The average outbound throughput in bits per second for this time slot.

Example:

2350000.75

total_average_throughput_bps
number<float>

The combined average throughput in bits per second.

Example:

14850001.25